Bug 1056820 - Every app with a graphic display complains "Couldn't register with accessibility bus"
Every app with a graphic display complains "Couldn't register with accessibil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
: 1071678 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-22 20:09 EST by Michal Jaegermann
Modified: 2017-09-20 17:00 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:54:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2014-01-22 20:09:13 EST
Description of problem:

Starting any application with a graphic display invariably causes a complaint like this:

gnome-session[1471]: ** (gnome-control-center:15699): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Instead of gnome-control-center that could be gnome-terminal, emacs, evince, nm-applet, .... whatever.  On a freshly opened gnome-session in a short time

journalctl -x --since=today | grep -c access

produced 24 different such warnings.

I am not really sure if gnome-session is the right component but at least this is what produces all these WARNINGs

Version-Release number of selected component (if applicable):
gnome-session-3.10.1-1.fc20
at-spi2-core-2.10.2-1.fc20
dbus-1.6.12-8.fc20

How reproducible:
All the time


Expected results:
No whining

Additional info:
Check for assorted "accessibilty support" shows that the following _are running_

1105 /usr/libexec/at-spi-bus-launcher
1109 /bin/dbus-daemon --config-file=/etc/at-spi2/accessibility.conf --nofork --print-address 3
1113 /usr/libexec/at-spi2-registryd --use-gnome-session

See also bug 1055674
Comment 1 Michal Jaegermann 2014-01-23 17:57:44 EST
Results of internet searches suggests that setting in environment NO_AT_BRIDGE=1 prevents all this "accessibility bus" whining.  No idea what this variable is really doing, and this sounds to me like just papering over the problem, but dropping a file with a suitable command into /etc/profile.d/ indeed seems to have such effect. With this is in place so far I recorded only one "gnome-session[11609]: ** (gnome-shell:11695): WARNING **: Couldn't register with accessibility bus: Did not receive a reply....".

If these warnings are indeed just a noise why they are present in the first place?
Comment 2 Richard W.M. Jones 2014-03-02 15:39:09 EST
*** Bug 1071678 has been marked as a duplicate of this bug. ***
Comment 3 Gene Snider 2014-10-18 18:23:26 EDT
This bug is present in F21 alpha, and the NO_AT_BRIDGE=1 bandaid stops it.  But, isn't something broken, anyway?

Gene
Comment 4 Fedora End Of Life 2015-05-29 06:37:52 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Alan Eliasen 2015-05-29 23:56:33 EDT
Still exists in Fedora 22.
Comment 6 Adri Verhoef 2015-06-22 14:15:27 EDT
Fedora 21, kernel 4.04, problem fixed.

ibus-1.5.10-5.fc21.x86_64
at-spi2-core-2.14.1-1.fc21.x86_64
dbus-1.8.18-1.fc21.x86_64
(NO_AT_BRIDGE is not set)
Comment 7 Michal Jaegermann 2015-06-22 19:42:11 EDT
(In reply to Adri Verhoef from comment #6)
> Fedora 21, kernel 4.04, problem fixed.

So far I tried on one machine with kernel-4.0.5-200.fc21.x86_64 and the trouble indeed seems to be resolved.  I have no idea, though, why and what was responsible for that and if it will not come back.
Comment 8 Bas Mevissen 2015-06-23 06:29:54 EDT
Issue seems to have gone away in FC22 as well.
Comment 9 Fedora End Of Life 2016-07-19 06:54:31 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.